I have a ibookG4 with OSX 10.5.8 and a Power PC Processor (LOL). Just bought a new Epson XP620 printer requiring OSX 10.6.8. Will it work the printer?

IBookG4

Back To Product

Follow this Question

2 Answers from the Community

  • Answer

    No, you already have the most up to date version of OS X that will run on a Mac with a PowerPC processor.

    Was this useful? Answer 1

    1 of 1 people found this useful

  • Unfortunately, Snow Leopard can not be installed on Macs with a G4 (PowerPC) processor.

    Snow Leopard (OS 10.6) can only be installed on Intel-based Macs made before about 2011.

    Was this useful? Answer 2

    1 of 1 people found this useful

Related Questions